DIR =	subdir_name
SOURCE = module.c
LIBOBJS = module.o
LDFLAGS=-L.. -littc -L$(SSLeay) -lssl -lcrypto -lsocket -lnsl

TESTS =	test_prog
APPS = app_prog

top:
	(cd ..; $(MAKE) SUBDIRS=$(DIR) subdirs)

all:	lib $(TESTS) $(APPS)

tests:	$(TESTS)

apps:	$(APPS)

lib:	$(LIBOBJS)
	$(AR) $(LIB) $(LIBOBJS)
	-$(RANLIB) $(LIB)

test_prog:	test_prog.o lib
	$(CC) -o test_prog test_prog.o $(LDFLAGS)

app_prog:	app_prog.o lib
	$(CC) -o app_prog app_prog.o $(LDFLAGS)

clean:
	$(RM) $(LIBOBJS) $(TESTS) $(APPS)

# Dependencies go here...
